| Win32-2.1.1.1: A binding to part of the Win32 library | Source code | Contents | Index

System.Win32.Console

Portability | portable
Stability | provisional
Maintainer | Esa Ilari Vuokko <ei@vuokko.info>

Contents

Console code pages
Ctrl events

Description
A collection of FFI declarations for interfacing with Win32 Console API
Synopsis

getConsoleCP :: IO UINT
setConsoleCP :: UINT -> IO ()
getConsoleOutputCP :: IO UINT
setConsoleOutputCP :: UINT -> IO ()
type CtrlEvent = DWORD
cTRL_C_EVENT :: CtrlEvent
cTRL_BREAK_EVENT :: CtrlEvent
generateConsoleCtrlEvent :: CtrlEvent -> DWORD -> IO ()

Console code pages

getConsoleCP :: IO UINT | Source

setConsoleCP :: UINT -> IO () | Source

getConsoleOutputCP :: IO UINT | Source

setConsoleOutputCP :: UINT -> IO () | Source

Ctrl events

type CtrlEvent = DWORD | Source

cTRL_C_EVENT :: CtrlEvent | Source

cTRL_BREAK_EVENT :: CtrlEvent | Source

generateConsoleCtrlEvent :: CtrlEvent -> DWORD -> IO () | Source

Produced by Haddock version 0.8